Skip to main content
GET
List autopay configurations

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

business_id
string<uuid>
external_account_id
string<uuid>
from_creation_time
string<date-time>
from_last_updated_time
string<date-time>
id
string<uuid>[]
lending_account_id
string<uuid>[]
person_id
string<uuid>
sort_by
enum<string>[]
Available options:
creation_time:asc,
creation_time:desc,
last_updated_time:asc,
last_updated_time:desc
source_account_id
string<uuid>
status
enum<string>

Status of the autopay configuration

Available options:
ACTIVE,
PAUSED,
DISABLED
tenant
string[]

The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.

to_creation_time
string<date-time>
to_last_updated_time
string<date-time>

Response

List of autopay configurations

autopay_configs
object[]
required

Array of autopay configurations

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"